﻿$ErrorActionPreference = 'Stop';

$pp = Get-PackageParameters

$packageName  = 'rs-deploy-web'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'RS.Deploy.Web.ChocoInstaller.msi'

$silentArgs = "/q"

if($pp -and $pp.count -gt 0)
{
	$silentArgs += ' PATH="' + $pp.Path + '" PORT=' + $pp.Port + ' SSL=' + $pp.SSL
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  file          = $fileLocation
  silentArgs    = $silentArgs
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyInstallPackage @packageArgs